QGIS Application - Feature request #5868
Full-featured, user-friendly drawing/annotation tools
Description

Currently in the composer there is the ability to annotate or "mark up" on top of a map using labels, images, arrows/lines, and rectangles,
triangles or ellipses.

In a map window there is the ability to use "text annotations" and "form annotations".

But | think it could take quite a lot of effort to use these tools to achieve what you want.

It would be marvellous if there was a full suite of tools like you might see in drawing software, that were really easy to use. As well as
things like shapes and labels it would include things like freehand drawing and highlighting and clouding tools.

Maybe there is something for QT that provides all this functionality and can be "plugged in" somehow? | guess the difficult part would be
dealing with the project CRS if the tools are used on the map canvas rather than the composer.

Maybe rather than adding functionality to the existing composer, there is something better for QT that provides page layout and drawing
functionality, and maps could be inserted in it, replacing the existing composer? But (borrowing some CAD terminology), it would be nice
if the drawing tools would work in "map space" as well as in "paper space”...

| guess this could be done with a plugin, but it would probably be better as a core enhancement to QGIS.
Maybe it would be a good idea for a GSOC project...

History

#1 - 2012-09-04 12:06 PM - Paolo Cavallini
- Target version set to Version 2.0.0

#2 - 2012-10-06 02:25 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have
#3 - 2017-01-29 03:12 PM - Nyall Dawson

- Resolution set to invalid
- Status changed from Open to Closed

This report is too vague to be actionable - please open new feature requests covering specific changes you desire. (Additionally a lot has changed in the 4
years since this was reported - it's possible it's already been addressed.)
